Cannot Open The File: /Var/Opt/Oracle/Orainst.Loc when applying patch using opatch on release 12 (Doc ID 783663.1)

Last updated on JANUARY 07, 2014

Applies to:

Oracle Application Install - Version 12.0.0 to 12.1.3 [Release 12 to 12.1]
Information in this document applies to any platform.
This problem can occur unix platform only .
***Checked for relevance on 30-Jan-2012***


Symptoms

 

On 12.0.0 While applying the <Patch 7274163> using opatch the following error occurs :

ERROR:
opatch apply

Oracle Interim Patch Installer version 1.0.0.0.57
Copyright (c) 2007 Oracle Corporation. All Rights Reserved..

We recommend you refer to the OPatch documentation under
OPatch/docs for usage reference. We also recommend using
the latest OPatch version. For the latest OPatch version
and other support related issues, please refer to <Note 293369.1>

Cannot open the file: /var/opt/oracle/oraInst.loc

Please use -invPtrLoc option and specify the correct file for OPatch to look for central inventory.

ERROR: OPatch failed because of Inventory problem.

Note: This error can occur for any patch using opatch on release 12

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms